<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Beta Ray Bill</Series>
  <Number>4</Number>
  <Web>https://www.comixology.com/Beta-Ray-Bill-4-of-5/digital-comic/928342</Web>
  <Summary>The penultimate chapter of Daniel Warren Johnson’s righteous Horse-Thor epic!  When Beta Ray Bill’s quest brings him and his friends – Skurge the Executioner and Pip the Troll – to the fiery realm of Muspelheim, they are quickly attacked by horrible monsters and dark beings! To save his friends, Bill must journey through a maze of his own memories!</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB928342], [ASINB08Z3S7PM6], [RELDATE:2021-06-30]</Notes>
  <Publisher>Marvel</Publisher>
  <Genre>Superhero</Genre>
  <PageCount>21</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
